WP-CLI
======

[![Build Status](https://travis-ci.org/wp-cli/wp-cli.png?branch=master)](https://travis-ci.org/wp-cli/wp-cli)

WP-CLI is a set of command-line tools for managing WordPress installations.

Installing
------------
If you just want to use WP-CLI, see <http://wp-cli.org/#install>.

If you want to hack on WP-CLI, see [CONTRIBUTING.md](CONTRIBUTING.md).

Where can I get more info?
--------------------------
For documentation and examples, check out [wp-cli.org](http://wp-cli.org/) and the [wiki](https://github.com/wp-cli/wp-cli/wiki).

Also, WordPress Answers has a growing list of [WP-CLI related questions](http://wordpress.stackexchange.com/questions/tagged/wp-cli).

If you want to receive an email for every single commit, you can subscribe to the [wp-cli-commits](https://groups.google.com/forum/?fromgroups=#!forum/wp-cli-commits) mailing list.

I'm running into troubles, what can I do?
-----------------------------------------
To suggest a feature, report a bug, or general discussion, visit the [issues section](https://github.com/wp-cli/wp-cli/issues).

If you're reporting a bug, please also post the output from `wp --info`.

Credits
-------
Besides the libraries defined in [composer.json](composer.json), we have used code or ideas from the following projects:

* [Drush](http://drush.ws/) for... a lot of things
* [wpshell](http://code.trac.wordpress.org/browser/wpshell) for `wp shell`
* [Regenerate Thumbnails](http://wordpress.org/plugins/regenerate-thumbnails/) for `wp media regenerate`
* [Search-Replace-DB](https://github.com/interconnectit/Search-Replace-DB) for `wp search-replace`
* [WordPress-CLI-Exporter](https://github.com/Automattic/WordPress-CLI-Exporter) for `wp export`
* [WordPress-CLI-Importer](https://github.com/Automattic/WordPress-CLI-Importer) for `wp import`
* [wordpress-plugin-tests](https://github.com/benbalter/wordpress-plugin-tests/) for `wp scaffold plugin-tests`

Who's behind this thing?
------------------------
* [Andreas Creten](https://github.com/andreascreten) - founder
* [Cristi Burcă](https://github.com/scribu) - previous maintainer
* [Daniel Bachhuber](https://github.com/danielbachhuber/) - current maintainer

For more info, see [Governance](https://github.com/wp-cli/wp-cli/wiki/Governance).

A complete list of contributors can be found [here](https://github.com/wp-cli/wp-cli/contributors).
